Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565563 - OVN L3HA - Not rescheduling gateways upon chassis addition can lead to routers not being in HA
Summary: OVN L3HA - Not rescheduling gateways upon chassis addition can lead to router...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Maciej Józefczyk
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 10:17 UTC by Daniel Alvarez Sanchez
Modified: 2020-03-10 11:27 UTC (History)
6 users (show)

Fixed In Version: python-networking-ovn-4.0.3-20.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-10 11:26:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1762691 0 None None None 2018-04-10 10:17:29 UTC
OpenStack gerrit 591461 0 None MERGED Support for Router Scheduling on addition/removal of chassis 2020-02-24 14:26:40 UTC
OpenStack gerrit 698254 0 None MERGED Support for Router Scheduling on addition/removal of chassis 2020-02-24 14:26:40 UTC
Red Hat Product Errata RHBA-2020:0770 0 None None None 2020-03-10 11:27:01 UTC

Description Daniel Alvarez Sanchez 2018-04-10 10:17:30 UTC
When we are scheduling a gateway on the available chassis, it can happen that only one node is available at that time (because the rest of then network nodes may be down for whatever reason). Therefore, the router will be scheduled on it becoming the active chassis for its gateway.

When the rest of the nodes come up back again in the cluster, no rescheduling happens and the previous router is not effectively in HA. If the active node goes down, North-South traffic to that router will be disrupted as it won't be failed over to any of the network nodes available.

The solution would be to schedule all routers which have been scheduled in less than MAX_GW_CHASSIS [0] chassis in the new nodes (perhaps with a lower priority to avoid failovers although it may cause some unbalance).

[0] http://git.openstack.org/cgit/openstack/networking-ovn/tree/networking_ovn/l3/l3_ovn_scheduler.py?id=d40470a51314fc0c60353c9882e0d2d44c9d2aa5#n31

Comment 6 Miguel Angel Ajo 2018-09-04 14:56:39 UTC
Updated, Reedip is handling this one.

Comment 14 errata-xmlrpc 2020-03-10 11:26:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0770


Note You need to log in before you can comment on or make changes to this bug.